#ifndef ABK_HEADER
#define ABK_HEADER

#include "array.h"
#include "lib.h"

typedef struct abk {
  char *nick;
  char *email;
  
  int type;			// shortlist for picklist etc / full abk list
  int nused;		// counter used to calculate type

  Pair *data;
} Abk;

int loadAbk(Array **abk, char *file, int skip_misc, char *err, int bfsz);
int saveAbk(Array *abk, char *file, char *err, int bfsz);

int abk_shortlist_init();
enum {ABK_NONE,ABK_ALL,ABK_SHORT};

#endif
